## kernel-package 8.083

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Mon Feb 16 18:19:45 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 19
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.doc README.headers README.image README.modules \
           README.source README.tecra sample.kernel-img.conf \
           kernel_grub_conf.sh sample.posthook.sh


# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all build: check

check:
	perl -wc make-kpkg
	perl -wc kernel/image.preinst
	perl -wc kernel/image.postinst
	perl -wc kernel/image.postrm
	perl -wc kernel/image.prerm
	perl -wc kernel/include.postinst
	bash -n kernel/kernel_grub_conf.sh
	bash -n kernel/kernel_grub_rm.sh
	bash -n kernel/sample.posthook.sh

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(DOCDIR)
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)
	$(install_file)    debian/changelog             $(DOCDIR)/changelog
	$(install_file)    README                       $(DOCDIR)/README
	$(install_file)    kernel/Flavours              $(DOCDIR)/Flavours
	$(install_file)    kernel/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                     $(DOCDIR)/Problems
	$(install_file)    _make-kpkg                   $(BASH_DIR)/make_kpkg
	$(install_file)    Multi-Arch                   $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                    $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do \
                            ln -s ../../$(package)/$$file $$file; \
                           done)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  	   $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5 	   $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5 	   $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5  	   $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8       	   $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8     \
                                                     $(ES_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg $(prefix)/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(prefix)/usr/share/$(package); umask 000;\
                           tar xpf -))
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 | \
           xargs -0r rm -rf
	$(install_file)    Rationale $(prefix)/usr/share/$(package)/
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	@echo nothing to do for clean

## kernel-package 3.03

=== debian/changelog ===
kernel-package (3.03) frozen unstable; urgency=medium

  * changed priority of kernel-source package to optional
  * changed priority of kernel-image package to optional
  * Recommended dpkg-dev since kernel/rules call binaries from there
    This fixes a problem that a number of people have reported on the
    lists, though it never made it as a formal bug report.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Nov 1996 11:02:31 -0600

kernel-package (3.02) unstable; urgency=low

  * kernel-source-X.XX now no longer recommends bin86, since bin86 is only
    available intel platforms.  It now merely mentions it in the
    description. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 7 Nov 1996 22:18:15 -0600

kernel-package (3.01) unstable; urgency=low

  * Changed one last typo in postinst. This (finally) fixes Bug#4234. 
  * Also, version 3.00 fixed Bug#4500 and Bug#4624
  * kernel-source-X.XX now recommends bin86, which fixes Bug#4443
  * Added short, succint (and potentially dangerous) instructions on
    compiling kernels at the top of the README file.  This fixes Bug#4445.

 -- Manoj Srivastava <srivasta@datasync.com>  Wed, 6 Nov 1996 23:58:35 -0600

kernel-package (3.00) unstable; urgency=medium

  * Changed the kernel-package to the new packaging schemes.
  * Removed the dist, source, and diff targets for make-kpkg, added
    binary-arch, binary-indep, and buildpackage targets.
  * Changed make-kpkg to reflect reorganization of the
    /usr/lib/kernel-package/ tree.
  * Changed Authour email.
  * Removed dithering about ./debian/* in kernel sources, now make-kpkg
    looks only at /usr/lib/kernel-package/ (clears confusion about older
    versions of kernel-package).
  * Modified make-kpkg.8 to reflect changes in make-kpkg, and ran a spell
    check. 
  * Renamed debian/package.config to kernel-packageconfig, and removed
    (obsolete) references to dchanges)
  * Moved *.README to copyright.*, and changed the rules files to
    conform. 
  * Added explanation for kernel-headers-X.XX (and why we need this
    package inspite of having headers in libc5-dev)
  
 -- Manoj Srivastava <srivasta@datasync.com>  Mon, 4 Nov 1996 16:19:33 -0600

kernel-package (2.03) unstable; urgency=low

  * Fixed typo in make-kpkg man pages where it insisted that it was
    make-dpkg ;-) 
  * Made the close brackets agree with open brackets in the man page
    synopsis.   This fixes Bug#3960

 -- Manoj Srivastava <srivasta@debian.org>  

kernel-package (2.02) unstable; low

  * Made image.postinst more polite.
  * Also enabled kernel-{source,image,headers} targets in kernel.rules 
  * Changed make-kpkg to also accept the new targets.
  * Fixed typo in man page.
  * The man page says it is an adminstrators man page rather than a 
    programmers man page.
  * Recommended libc-dev for kernel-source and kernel-package
  * source suggests ncurses3.0-dev, tk40-dev and the description explains 
    you could use make menuconfig rather than plain old make config if you
    had these packages.
  * Fixed typo in the rules for modules in /usr/src/modules/ directory
  * Made the rules for such modules ignore errors (since they are not
    really a part of this package, error there should not halt this build
    (or so people seem to want it)
  * Look for modules in the kernel config file (or the default config file
    if the user has not supplied a config file), and only make modules and
    install them if modules have been configured in the config file. This 
    could be tested better.
  * Fixed the make-kpkg.8 man page so that it now does not seem to mandate
    a source and diff file for additional modules installed under the 
    directory /usr/src/modules/ (whether these files are produced is at
    the discretion of the maintainer of that modules package.
  * Make configure depend on stamp-configure which in turn depends on
    .config Hopefully, this will remake the image atrget if one changes
    the config file Hopefully, this will not cause the image target to
    build needlessly. 

 -- Manoj Srivastava <srivasta@debian.org>  

kernel-package (2.01) unstable; urgency=low

  * Changed the scripts to refer to /usr/bin/perl rather than /bin/perl.
  * Added an extended description to the image control file.
  * Added a note that the dist target requires a PGP key.
  * Fixed a typo (missing DEBDIR) in debian.rules.
  * Fixed the targets expected by make-kpkg (kernel_image rather than 
    kernel-image, etc).
  * In image.postinst, made arguments to system be a single argument if  
    the arguments contain shell metacharacters, (this way perl passes
    them to sh -c).
  * Made make-kpkg accept non floats as revision numbers, to facilitate  
    local names.
  * Fixed silly bug in makefloppy in image.postinst.
  * Fixed the extended description of the kernel-package package.
  * Updated the image postinst to install the mbr, if it exists, and to
    activate the root partition, and to not overwrite the mbr (oops).
  * Changed maintainer email address to debian.org (I'll be in a state of  
    flux soon)


 -- Manoj Srivastava <srivasta@pilgrim.umass.edu>  

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.1.1.0

Package: kernel-package
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian 
 kernel-image package by just running make-kpkg kernel_image in a
 kernel source directory tree.  It can also build the kernel source
 package as a debian file, the kernel headers package. In general, this 
 package is very useful if you need to create a custom kernel, if, for 
 example, the default kernel does not support some of your hardware, or
 you wish a leaner, meaner kernel.
Depends: perl (>= 5.002-8)
Recommends: libc-dev, gcc, dpkg-dev
Suggests: kernel-source
Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Nov  6 12:38:07 1996
## Last Machine Used: tiamat.datasync.com
## Update Count	    : 103
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

# Please change the maintainer information, as well as the debian version
# below, (and maybe the priority as well, espescially if you are uploading
# an official package)

# The maintainer information.
maintainer := Manoj Srivastava
email := srivasta@debian.org

# Priority of this version (or urgency, as dchanges would call it)
priority := Low
#  Package specific stuff

# The name of the package (for example, `emacs').
package = kernel-package

FILES_TO_CLEAN = debian/files
STAMPS_TO_CLEAN =  stamp-binary
DIRS_TO_CLEAN  =

CONFLOC:=/etc/kernel-pkg.conf
LIBLOC:=/usr/lib/kernel-package
MODULE_LOC := /usr/src/modules

SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
DEBDIR := $(LIBLOC)
DEBDIR_NAME:= $(shell basename $(DEBDIR))

install_file= install -o root -g root -m 644
install_program= install -o root -g root -m 755
make_directory= install -d -o root -g root -m 755


all build:
# Builds the binary package.

clean:
	rm -f $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -f -r debian/tmp
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-arch: build
# builds the architecture dependent part

binary-indep: build stamp-binary

stamp-binary:
	@test root = "`whoami`"
	$(checkdir)
	rm -rf debian/tmp  debian/tmp.deb
	$(make_directory)  debian/tmp/DEBIAN
	$(make_directory)  debian/tmp/etc
	$(make_directory)  debian/tmp/usr/sbin
	$(make_directory)  debian/tmp/usr/man/man8
	$(make_directory)  debian/tmp/usr/lib/$(package)
	$(make_directory)  debian/tmp/usr/doc/$(package)
	$(make_directory)  debian/tmp/usr/doc/copyright
	$(install_file)    debian/conffiles debian/tmp/DEBIAN/conffiles
	$(install_program) debian/postinst debian/tmp/DEBIAN/postinst
	$(install_file)    debian/copyright \
		           debian/tmp/usr/doc/$(package)/copyright
	$(install_file)    debian/changelog \
                           debian/tmp/usr/doc/$(package)/changelog
	gzip -9f           debian/tmp/usr/doc/$(package)/changelog
	$(install_file)    README debian/tmp/usr/doc/$(package)/README
	gzip -9f           debian/tmp/usr/doc/$(package)/README
	$(install_file)    make-kpkg.8  debian/tmp/usr/man/man8/make-kpkg.8
	gzip -9f           debian/tmp/usr/man/man8/make-kpkg.8
	$(install_file)    kernel-pkg.conf debian/tmp/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           debian/tmp/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg debian/tmp/usr/sbin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd $(SRCTOP)/debian/tmp/usr/lib/$(package);tar xf -))
	dpkg-gencontrol
	chown -R root.root debian/tmp
	dpkg --build       debian/tmp ..
	touch              stamp-binary

define checkdir
        test -f  make-kpkg -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean

## kernel-package 3.28

=== debian/changelog ===
kernel-package (3.28) frozen unstable; urgency=low

  * No longer install text files in the modules directory, since depmod
    in modutils-2.1.34 fails when it finds a non-ELF file in modules
    directory. This fixes Bug#9243.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Apr 1997 15:24:51 -0500

kernel-package (3.27) frozen unstable; urgency=low

  * Really add in all the changes sent in by Herbert Xu. The changes are: 
    * Changed to source package name back to kernel-source-=V again. 
    * Changed the install's to be without -o root -g root since it is no
      longer useful as the chown's are done before the packages are built. It
      also means that if it is used in targets like stamp-configure which may
      be run by anyone it won't not generate an error.
    * Made rules file generate the control file.
    * Fixed some typos in chowns commands while generating the header
      packages. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 21 Apr 1997 15:12:19 -0500

kernel-package (3.26) frozen unstable; urgency=low

  * Made the default image for ppc architecture zImage. This fixes Bug#8696 .
  * Forgot to mention that the source package for the kernel packages
    (produced by make-kpkg buildpackage, for example) has been changed to
    not contain the kernel version as part of the name (all the deb files
    produced have not changed), so we now get kernel-image-xxx_yy_zz.deb,
    kernel-source-xxx_yy_zz.deb, and kernel-headers-xxx_yy_zz.deb, along
    with kernel-source.tar.gz and kernel-source_yy.diff.gz
  * Added config dependencies for module targets

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Apr 1997 00:53:24 -0500

kernel-package (3.25) frozen unstable; urgency=low

  * Added changes sent in by the kernel packages maintainer.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 1997 00:03:36 -0500

kernel-package (3.24) frozen unstable; urgency=medium

  * Fixed a bash 2.0 inconsistency

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 9 Apr 1997 13:33:58 -0500

kernel-package (3.23) frozen unstable; urgency=medium

  * Fixed typos in rules for generating external modules

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 9 Apr 1997 12:41:45 -0500

kernel-package (3.22) frozen unstable; urgency=medium

  * Documented constraints on the debian revision field. This is important
     enough that I am reproducing the text of the admonition here.
     The revision number (the argument supplied after the --revision flag)
     has certain constraints: it may contain only alphanumerics and the
     characters + . (full stop, and plus) and should contain a digit.
     NOTE: No hyphens allowed. (Look at Chapter 5 of the Programmers manual
     for details)

     This is because dpkg imposes an ordering on version numbers, so that
     it can tell whether packages are being up or downgraded and so that
     dselect can tell whether a package it finds available is newer than
     the one installed on the system.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 4 Apr 1997 11:48:42 -0600

kernel-package (3.21) frozen unstable; urgency=low

  * Tested source package creation for 2.1.30
  * set umask to copy the kernel source files untainted by package creators
    umask. 
  * set umask to copy the kernel header files untainted by package creators
    umask. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 1 Apr 1997 11:04:42 -0600

kernel-package (3.20) frozen unstable; urgency=low

  * Could not reproduce BUG#8274, neither could the original reporter. I have
    made some changes in the postinst to allow leading whitespace in the
    user responses, and tested it on three different kernel-source
    versions.  I believe this bug is fixed now (I have 3 suitable boot
    floppies as evidence). 
  * image postinst no longer aborts when the user gives up on formatting a
    floppy, but now offers a choice to proceed with a preformatted floppy. 
  * Fixed spelling errors in kernel image postinst, fixing BUG#8409
  * Offer to user superformat if it exists.
  * Tested boot floppy creation.
  * Tested on 2.0.29, 2.1.29, and 2.1.30
  * Spell check the Problems file, mention setfdprm in there.
  * Mention setfdprm in postinst if fail to format floppy.
  * Fix a typo in code determining which floppy drive to use
  * Allow leading whitespace in responses
  * Added required packages to the README file.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Mar 1997 22:53:13 -0600

kernel-package (3.19) unstable; urgency=low

  * Tested again on 2.1.27 kernel.
  * Added correct Handling for ipv6 modules in rules file

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 1 Mar 1997 13:52:15 -0600

kernel-package (3.18) unstable; urgency=high

  * Succesfully compiled a 2.1.27 kernel.
  * Made make-kpkg not look for modules directoryi; that directory is
    removed by a make-kpkg clean.
  * Mentioned that ncurses-dev is required for make menuconfig in the
    README file.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 22 Feb 1997 23:36:30 -0600

kernel-package (3.17) unstable; urgency=low

  * Stupid @#$%$%@! vi changed Feb to February in the changelog messing up
    gencontrol. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 Feb 1997 19:29:02 -0600

kernel-package (3.16) unstable; urgency=low

  * Started compiling a list of known problems with compiling kernel images.
    This is now available as /usr/doc/kernel-package/Problems.
  * Moved to standards version 2.1.2.2.
  * Removed extra root checks in the rules file.
  * Added error messages to failed root check in the rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Feb 1997 14:40:41 -0600

kernel-package (3.15) unstable; urgency=low

  * Fixed kernel rules file so that one does not depend on the existence of 
    modules. This fixes BUG#6898.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Jan 1997 22:15:27 -0600

kernel-package (3.14) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.1.2.2
 
 Package: kernel-package
 Description: Debian Linux kernel package build scripts.
@@ -13,7 +13,11 @@
  package is very useful if you need to create a custom kernel, if, for 
  example, the default kernel does not support some of your hardware, or
  you wish a leaner, meaner kernel.
-Depends: perl (>= 5.002-8)
-Recommends: libc-dev, gcc, dpkg-dev
+ .
+ If you are running on an intel x86 platform, and you wish to compile a
+ custom kernel (why else are you considering this package?), then you may
+ need the package bin86 as well.  (This is not required on other platforms).
+Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev
+Recommends: libc-dev, gcc
 Suggests: kernel-source
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Wed Nov  6 12:38:07 1996
+## Last Modified On : Thu Feb 13 21:26:27 1997
 ## Last Machine Used: tiamat.datasync.com
-## Update Count	    : 103
+## Update Count	    : 108
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
@@ -29,6 +29,7 @@
 # The name of the package (for example, `emacs').
 package = kernel-package
 
+
 FILES_TO_CLEAN = debian/files
 STAMPS_TO_CLEAN =  stamp-binary
 DIRS_TO_CLEAN  =
@@ -37,10 +38,13 @@
 LIBLOC:=/usr/lib/kernel-package
 MODULE_LOC := /usr/src/modules
 
+# Location of the source dir
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+# where kernel-package files go to
 DEBDIR := $(LIBLOC)
 DEBDIR_NAME:= $(shell basename $(DEBDIR))
 
+# install commands
 install_file= install -o root -g root -m 644
 install_program= install -o root -g root -m 755
 make_directory= install -d -o root -g root -m 755
@@ -64,12 +68,13 @@
 binary-indep: build stamp-binary
 
 stamp-binary:
-	@test root = "`whoami`"
+	@test root = "`whoami`" || (echo need root priviledges; exit 1)
 	$(checkdir)
 	rm -rf debian/tmp  debian/tmp.deb
 	$(make_directory)  debian/tmp/DEBIAN
 	$(make_directory)  debian/tmp/etc
 	$(make_directory)  debian/tmp/usr/sbin
+	$(make_directory)  debian/tmp/usr/man/man5
 	$(make_directory)  debian/tmp/usr/man/man8
 	$(make_directory)  debian/tmp/usr/lib/$(package)
 	$(make_directory)  debian/tmp/usr/doc/$(package)
@@ -80,11 +85,19 @@
 		           debian/tmp/usr/doc/$(package)/copyright
 	$(install_file)    debian/changelog \
                            debian/tmp/usr/doc/$(package)/changelog
-	gzip -9f           debian/tmp/usr/doc/$(package)/changelog
+	gzip -9fq          debian/tmp/usr/doc/$(package)/changelog
 	$(install_file)    README debian/tmp/usr/doc/$(package)/README
-	gzip -9f           debian/tmp/usr/doc/$(package)/README
-	$(install_file)    make-kpkg.8  debian/tmp/usr/man/man8/make-kpkg.8
-	gzip -9f           debian/tmp/usr/man/man8/make-kpkg.8
+	gzip -9fq          debian/tmp/usr/doc/$(package)/README
+	$(install_file)    Problems debian/tmp/usr/doc/$(package)/Problems
+	gzip -9fq          debian/tmp/usr/doc/$(package)/Problems
+	$(install_file)    kernel-pkg.conf.5 \
+	                   debian/tmp/usr/man/man5/kernel-pkg.conf.5
+	gzip -9fq          debian/tmp/usr/man/man5/kernel-pkg.conf.5
+	$(install_file)    make-kpkg.8  \
+                           debian/tmp/usr/man/man8/make-kpkg.8
+	gzip -9fq          debian/tmp/usr/man/man8/make-kpkg.8
+	$(install_file)    kernel-packageconfig.8  debian/tmp/usr/man/man8/
+	gzip -9fq          debian/tmp/usr/man/man8/kernel-packageconfig.8
 	$(install_file)    kernel-pkg.conf debian/tmp/etc/kernel-pkg.conf
 	$(install_program) kernel-packageconfig \
 		           debian/tmp/usr/sbin/kernel-packageconfig

## kernel-package 4.11

=== debian/changelog ===
kernel-package (4.11) frozen unstable; urgency=low

  * Clarified the rootcommand usage in the error message when make-kpkg
    thinks that the rootcmd options has been invoked in vain.
  * This should also go into frozen. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 May 1998 13:57:58 -0500

kernel-package (4.10) unstable; urgency=low

  * Only put libc-kheaders in the control file is asked. I think this is
    better in the long run than the solution suggested in Bug#22295. 
    closes: Bug#22295

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 May 1998 01:56:11 -0500

kernel-package (4.09) frozen unstable; urgency=low

  * Add a missing end of line \ in the kernel rules file
  * Added make-kpkg support for kernel Flavours. Reported by Rainer
    Clasen. closes: Bug#21694
  * Added a config file option do_clean, and an env variable CLEAN_SOURCE
    to control whether the sorce dir is cleaned after a kernel build. 
    closes: Bug#22219

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 May 1998 04:38:57 -0500

kernel-package (4.08) frozen unstable; urgency=low

  * Made the reboot now message mention that one should probably wait
    until after installation is finished before rebooting, since one may
    not be able to reboot before then. closes: Bug#21840
  * Fixed a syntax error in the kernel rules file. closes: Bug#21967
  * Changed all the changelog file names to changelog.Debian, as ooposed
    to changelog.debian. closes: Bug#21968

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 May 1998 14:19:45 -0500

kernel-package (4.07) frozen unstable; urgency=low

  * BUGFIX: fixed a typo in image.postinst; should be s/// not m////
  * BUGFIX: Fix typo in the powerpc patch; uneeded quotes were getting
    into the control file for the kernel-image-* packages.
  * Install a README.Debian file from the official package if it exists
    (it contains information about the patches applied, and, presumably,
    how to compile a kernel image .deb file).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Apr 1998 14:24:20 -0500

kernel-package (4.06) frozen unstable; urgency=low

  * Added the libc-kheaders package.
  * Make sure that upstream sources do not stomp over the users .config
    file. However, allow the user to carry though the .config file.
  * Put a README.Debian file in the kernel-source package main directory. 
                                                              closes: Bug#21129
  * Do not use -o root when installing the .config file, so that build
    does not require root priviledges.                        closes: Bug#21324
  * Added patch for powerpc stuff.                            closes: Bug#21377.
  * Ignore legal leading spaces in a fstab line. This s a bug, though not
    formally reported.
  * Added a patch that get rids of an unfulfilled dependency on LILO for
    architectures that do not have any boot loader. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Apr 1998 11:48:58 -0500

kernel-package (4.05) unstable; urgency=low

  * Fixed the long description of the kernel-* packages, which had gotten
    quite outdated. This should clear some confusion.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Apr 1998 16:28:19 -0600

kernel-package (4.04) frozen unstable; urgency=low

  * Made kernel-package depend on fileutils (>= 3.16-4), since we use the
    -p flag of install, which was not added until then. closes: Bug#20427 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Mar 1998 11:44:50 -0600

kernel-package (4.03) unstable; urgency=low

  * Fixed a typo which mis warned about rootcmd. closes: Bug#20286
  * Added the klogd patch from Yann Dirson <ydirson@a2points.com> to the
    Flavours file, which allows klogd to not choke on non-numeric kernel
    version numbers. This is also logged as Bug 20135.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Mar 1998 12:37:04 -0600

kernel-package (4.02) unstable; urgency=low

  * Added stuff for the powerpc boot loader, and fixed a few typos in the
    kernel rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Mar 1998 03:02:10 -0600

kernel-package (4.01) frozen unstable; urgency=low

  * In order to do cross sompilation, I was asked to export a variable
    called ARCH which is set to the Debian architecture (dpkg
    --print-architecture). Unfortunately. this breaks for PowerPc's, since
    though Debian calls the architecture powerpc, the kernel knows it as
    ppc. Things get very confused. This fix is essential for PowerPC
    compilations. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Mar 1998 01:14:04 -0600

kernel-package (4.00) unstable; urgency=high

  * Fix a thinko in lilo run that could be a security hole.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 15 Mar 1998 15:49:30 -0600

kernel-package (3.65) unstable; urgency=low

  * Rewrote /vmlinuz as symlink handling in image.postinst. This should
    correctly handle the bug. closes: Bug#19473

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 11 Mar 1998 14:02:14 -0600

kernel-package (3.64) unstable; urgency=low

  * Add a make recommendation for kernel source package as well. 
    closes: Bug#19223
  * Added a note to the Flavours document to specify a System.map file for
    klogd in /etc/init.d/syslog

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 10 Mar 1998 16:06:10 -0600

kernel-package (3.63) unstable; urgency=low

  * Added a recommends to shut up lintian; however, we already depended on
    packages that depended on make, so this is a no op.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  8 Mar 1998 15:12:28 -0600

kernel-package (3.62) unstable; urgency=low

  * Mentioned rootcmd and fakeroot in the README. Mention where one need
    to be root all over too.
  * Added error message from a machine that need the --zimage option to
    the Problems file.
  * Mentioned in the rationale that the kernel image configuration files
    are kept in /boot for further reference.


## kernel-package 6.05

=== debian/changelog ===
kernel-package (6.05) frozen unstable; urgency=high

  * This fixes a bug introduced in the previous upload to frozen, in the
    handling of the new extraversion. Most of the changes are bug fixes,
    there is no new code.
  * Tightened the reg exp for determining the extraversion to ignore
    whitespace. Use builtin strip to remove leading and trailing
    space. fixes: BUG#32457 
  * If the changelog exists, use it to guess at the debian version (this is
    merely setting the default value). If there is no changelog, the
    default is still 1.00.
  * If the .config file exists, use that to guess the subarch for intel
    platforms. 
  * Install debian/rules if it does not exist, regardless of
    stamp-configure or debian/official.  fixes: BUG# 31823.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 18:34:15 -0600

kernel-package (6.04) unstable; urgency=low

  * Tightened the reg exp fr determining the extraversion to ignore
    whitespace. fixes: BUG#32457 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 02:14:33 -0600

kernel-package (6.03) frozen unstable; urgency=high

  * This update fixes a release critical bug, and only includes bug fixes
    since the previous version in frozen, apart from making the package
    2.2.X ready (mostly EXTRAVERSION support). I strongly feel that this
    should be allowed in frozen, even in deep freeze.
  * Added an option arch_in_name to ask kernel package to embedd the sub
    architecture in the kernel image name (this reverses the default of
    always embedding the arch in the name). Note that only the image
    package _name_ is affected. fixes: BUG#31972
  * The new Power macs report themselves as Power Macintoshes rather than
    PwerMac's. Changed reg expression to allow either. fixes: BUG#32262
  * Also install NET_MISC_MODULES modules. fixes: BUG#31934, BUG#31936

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Jan 1999 09:29:15 -0600

kernel-package (6.02) unstable; urgency=low

  * Make kernel-doc-XXX now suggest kernel-image-=V=SA(that is, now we
    include the architecture string that kernel-image packages may
    optionally have. fixes: Bug#30291
  * The EXTRAVERSION support in the NMU fixes: BUG#31290, BUG#31331, BUG#31444
  * Added docuemntation about more variables in the makefile, namely, the
    locations of the modules, patches, and configuration files, and how
    one may modify the defaults.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jan 1999 23:28:50 -0600

kernel-package (6.01.1) unstable; urgency=low

  * NMU; adds EXTRAVERSION support for 2.2.0-preblah kernels

 -- Ben Gertzfield <che@debian.org>  Tue, 29 Dec 1998 20:02:24 -0800

kernel-package (6.01) unstable; urgency=low

  * Added support for netwinders. closes: BUG#29333
  * Modified modules support to not assume everything in /usr/src/modules
    is a directory. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Nov 1998 01:39:43 -0600

kernel-package (5.13) frozen unstable; urgency=low

  * Fixed setting email address for modules. closes: BUG#29217
  * Made it possible to set the subarch to be different from the one one
    is on (as long as the subarch being set is a valid sub arch of the
    current architecture). This should help the ppc folks.
  * Added to the module compilation documentation by incorporating part of
    the pcmcia-source documentation. This should hopefully make compiling
    stand-alone modules easier to compile

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Nov 1998 18:12:23 -0600

kernel-package (5.12) unstable; urgency=low

  * Add things to the changelog file for the sub packages. Also, fix a
    trailing space problem from the rules file that affected the ppc
    folks. closes: Bug#28535

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Oct 1998 13:56:59 -0600

kernel-package (5.11) frozen unstable; urgency=low

  * Fix the handling of config files.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 13:54:35 -0500

kernel-package (5.10) frozen unstable; urgency=medium

  * Add the variable KDREV to pass the debian revision to the modules
    while compiling.
  * Added powerpc fixes from Hartmut Koptein <koptein@et-inf.fho-emden.de>
    These were needed to have things work at all.
  
 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 12:37:39 -0500

kernel-package (5.09) unstable; urgency=high

  * Fixed missing / on a pattern match,. This essentially hosed
    make-kpkg. closes: Bug#27937

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 16:29:27 -0500

kernel-package (5.08) unstable; urgency=low

  * Added documentation of the tecra kernel issue in the README. 
  * Added README.tecra as astandalone file documenting the tecra laptop
    issue. 
  * Added README.modules to document the way that addon modules may hook
    into the kernel package and be kept compiled in synchrony with new
    kernel compilations.
  * Documented the fact that Flavours should be all lower case to meet the
    strictures of the Packaging manual. closes: BUG#26843
  * Added default values to prompts in kernel-packageconfig, since the
    prompts were most unplesaing. closes: BUG#27289
  * Fixed the dir modules are installed in to honour the flavour
    setting. closes: BUG#27311
  * Fixed typo in postinst. closes: Bug#25749

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 01:04:29 -0500

kernel-package (5.07) unstable; urgency=low

  * Make the long description for kernel-source emphasize the need to get
    bin86. 
  * Fixed a typo in the rules file that created the wrong symlink on
    sparcs. closes: BUG#26790

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Sep 1998 10:28:23 -0500

kernel-package (5.06) unstable; urgency=low

  * Use tweo $ signs to protect shell variable in rules. Affected m68k and
    powerpc archs.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 1998 12:36:15 -0500

kernel-package (5.05) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.4.0.0
 
 Package: kernel-package
 Description: Debian Linux kernel package build scripts.
@@ -17,7 +17,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev
-Recommends: libc-dev, gcc
+Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>=3.16-4)
+Recommends: libc-dev, gcc, debianutils, make
 Suggests: kernel-source
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@pilgrim.umass.edu )
## Created On	    : Sat Apr 27 06:36:31 1996
## Created On Node  : melkor.pilgrim.umass.edu
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Feb 27 16:27:10 1998
## Last Machine Used: tiamat.datasync.com
## Update Count	    : 122
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

#    $Id: rules,v 1.11 1998/02/27 22:27:17 srivasta Exp $


# Please change the maintainer information, as well as the debian version
# below, (and maybe the priority as well, espescially if you are uploading
# an official package)

# The maintainer information.
maintainer := Manoj Srivastava
email := srivasta@debian.org

# Priority of this version (or urgency, as dchanges would call it)
priority := Low
#  Package specific stuff

# The name of the package (for example, `emacs').
package = kernel-package
version := $(shell perl -n0777e 'if ($$. == 1 && m/\(([\S]+)\)/o){print "$$1\n";}' debian/changelog)


FILES_TO_CLEAN = debian/files
STAMPS_TO_CLEAN =  stamp-binary
DIRS_TO_CLEAN  =

CONFLOC:=/etc/kernel-pkg.conf
LIBLOC:=/usr/lib/kernel-package
MODULE_LOC := /usr/src/modules

# Location of the source dir
SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
# where kernel-package files go to
DEBDIR := $(LIBLOC)
DEBDIR_NAME:= $(shell basename $(DEBDIR))

DOCDIR = debian/tmp/usr/doc/$(package)
MAN5DIR = debian/tmp/usr/man/man5
MAN8DIR = debian/tmp/usr/man/man8

# install commands
install_file=    install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory=  install -p -d -o root -g root -m 755


all build:
# Builds the binary package.

clean:
	rm -f $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -f -r debian/tmp
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-arch binary-indep

binary-arch: build
# builds the architecture dependent part

binary-indep: build stamp-binary

stamp-binary:
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	rm -rf debian/tmp  debian/tmp.deb
	$(make_directory)  debian/tmp/DEBIAN
	$(make_directory)  debian/tmp/etc
	$(make_directory)  debian/tmp/usr/sbin
	$(make_directory)  debian/tmp/usr/lib/$(package)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/conffiles debian/tmp/DEBIAN/conffiles
	$(install_program) debian/postinst debian/tmp/DEBIAN/postinst
	$(install_file)    debian/changelog $(DOCDIR)/changelog
	$(install_file)    README $(DOCDIR)/README
	$(install_file)    kernel/Flavours $(DOCDIR)/Flavours
	$(install_file)    Problems $(DOCDIR)/Problems
	$(install_file)    Multi-Arch $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	$(install_file)    debian/copyright $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    make-kpkg.8  $(MAN8DIR)/make-kpkg.8
	$(install_file)    kernel-packageconfig.8  $(MAN8DIR)/
	gzip -9fqr         debian/tmp/usr/man
	$(install_file)    kernel-pkg.conf debian/tmp/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           debian/tmp/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg debian/tmp/usr/sbin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(SRCTOP)/debian/tmp/usr/lib/$(package);\
                           tar xf -))
	$(install_file)    Rationale $(SRCTOP)/debian/tmp/usr/lib/$(package)/
	# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(SRCTOP)/debian/tmp/usr/lib/$(package)/rules
	dpkg-gencontrol
	chown -R root.root debian/tmp
	dpkg --build       debian/tmp ..
	touch              stamp-binary

define checkdir
        test -f  make-kpkg -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean
